**`44 20 3287 6377`[PHONES_PHONE]**| **`droidnepalikiran@gmail.com`[EMAILS_EMAIL]** -NL- **`Kiran Nepali`[NAME]** -NL- **`T E C H N I C A L S K I L S`[SUMMARY_HEADING]** -NL- Android, Android Studio, SQLite, UML, REST, XML, JSON, AsyncTask, -NL- IntentService, Handler Threads, Loopers, Loaders, Custom android views -NL- classes and components, Android adapter views, Picasso, Retrofit, Volley, -NL- MVP, MVVM, Singleton, Dependency Injection, Dagger, Data Binding, Builder, -NL- Factory, Material Design, Git. Jira, Java JDK, shared preferences, storage: -NL- internal, external, Googlemaps API, Junit, Volley, content resolvers, Google -NL- Places, Retrofit, RecylerView, FloatingActionButton, Google Cloud Messaging, -NL- Content Providers, JobSchedule, Espresso, GSON, Firebase, PushNotifications, -NL- Multithreading, Observer, Continuous Integration, Fabric, Bluetooth, Kotlin, -NL- WorkManager API -NL- E M P L O Y M E N T -NL- May 18 - present -NL- **`SR ANDROID DEVELOPER`[EMPLOYER_ROLE]**– **`British Council EnglishScore`[EMPLOYER_COMPANY_NAME]**, London -NL- https://play.google.com/store/apps/details?id=com.englishscore -NL- + Build the Android app from the ground up to match already existing web and -NL- iOS app with MVVM architecture -NL- + Code new features using Kotlin Coroutines, contracts, Anko Commons, Anko -NL- Layouts, Delegate properties, extension functions and Anko Coroutines in API -NL- request -NL- + Work around Jetpack Components for Behaviour and UI widgets to integrate -NL- standard Android services like notifications, permissions, sharing and the -NL- Assistant -NL- + Encrypt and cipher passwords to store users login data for securefingerprint -NL- logins -NL- + Include to Stripe API to accept mobile payments and manage customer -NL- information -NL- + Use RxJava2 to make networking and SDK calls and display parsed data in -NL- material design custom views -NL- + Use JavaScript interface as bridge to communicate and provide html and -NL- JavaScript functions from the mobile app to the native apps and vice versa -NL- + Configure Firebase to send push notifications relating to personalised course -NL- recommendations and setup Firebase remote config -NL- + Use the Gradle to customize different build variants for our Integration, -NL- staging, and production environments and improve build times -NL- + Provide encrypted input and output streams to read/write encrypted data to a -NL- File for data protection and privacy with regulatory standards -NL- Jan 17 – Apr 18 -NL- **`MOBILE APP DEVELOPER`[EMPLOYER_ROLE]**– **`Farfetch UK Limited`[EMPLOYER_COMPANY_NAME]**, London -NL- https://play.google.com/store/apps/details?id=com.farfetch.farfetchshop -NL- **`44 20 3287 6377`[PHONES_PHONE]**| **`droidnepalikiran@gmail.com`[EMAILS_EMAIL]** -NL- + Solely code the feature ‘Save favorite items & create a personal Wishlist’ using -NL- Dagger2, Room database and AES 256 encryption with TDD testcases -NL- + Migrate push notifications configuration from Pushwoosh sdk to Firebase sdk to -NL- send Sales & promotions messages to register users -NL- + Incorporated Optimizely's Classic Android SDK A/B testing, phased rollouts, -NL- event tracking and extensive targeting feature -NL- + Define network protocols for passing reactive streams over various transport -NL- media that involve serialization and deserialization of the data -NL- + Implement a design centered around showcasing the residence by utilizing -NL- custom layout and ViewHolder for each element of a RecyclerView -NL- + Applied the Paypal API to allow users to make payments for their purchases -NL- directly within the application -NL- + Enhance maintainability and performance by refactoring the code for Google -NL- Maps API and added unit tests to the application side of the procedure -NL- + Mimic app interactions and performed Espresso UI testing to cover 80% code -NL- coverage using Jacoco tool -NL- + Work on large existing Uncle Bob’s Clean Code Architecture code base using -NL- MVP design pattern and SOLID principles -NL- + Incorporate Android Permissions Dispatcher annotation-based API to handle -NL- runtime permissions in Android Marshmallow for camera, external storage -NL- dangerous level permissions -NL- Oct 15 – Dec 16 -NL- **`ANDROID DEVELOPER`[EMPLOYER_ROLE]** – **`Paysafe`[EMPLOYER_COMPANY_NAME]**, London -NL- https://play.google.com/store/apps/details? -NL- id=com.moneybookers.skrillpayments.neteller -NL- + Apply useful features of Material Design, define highly testable and functional -NL- architecture (MVVM – data binding), communication between the layers using -NL- RxJava and use appropriate design patterns -NL- + Encrypt and cipher passwords to store the users login information for secure -NL- fingerprint logins -NL- + Designed and integrated a “Terms and Conditions” screen where the user can -NL- review, in detail, the “Terms of Service” and “Licensing Agreement” -NL- + Enhanced the new user registration process through work on the application -NL- networking layer -NL- + Apply knowledge of the principles of Test Driven Development using Mockito -NL- and PowerMock libraries -NL- + Change Frame Layouts for Coordinator Layouts, LinearLayout for AppBar -NL- Layout and CollapsingToolbarLayout and enable the image and title on the -NL- place details section to collapse and expand when the user scrolled through -NL- the content -NL- + Implement asynchrones services to update local storage and notify updates in -NL- the UI (Content Providers, Services, SyncAdapters, Loaders) -NL- + Provide a clear code alternative with improved sustainability through the -NL- practice of saving data on thefile system as well as in the internal SQLlite -NL- database -NL- + Employed UrbanAirship for push notifications, analytics processing and -NL- reporting, authentication to social networks -NL- + Use Alarm Manager to locally set payment transfer reminders -NL- **`44 20 3287 6377`[PHONES_PHONE]**| **`droidnepalikiran@gmail.com`[EMAILS_EMAIL]** -NL- Jan 15 – Sep 15 -NL- **`ANDROID DEVELOPER`[EMPLOYER_ROLE]** – **`OnTheMarket, Aldershot`[EMPLOYER_COMPANY_NAME]** -NL- https://play.google.com/store/apps/details?id=com.onthemarket.mobile -NL- + Migrate existing production environment from MVC architecture to MVP thus -NL- allowing higher testability and data binding capabilities -NL- + Code the feature to view individual properties on the market with Google -NL- Street View using Google play services -NL- + Built the service layer using volley library to communicate with backend to -NL- display property market information and stations and schools are local to a -NL- property via the map view -NL- + Refine algorithms to search via ‘Current Location’ to see the nearest houses for -NL- sale, apartments to rent -NL- + Inject components and dependencies using Dagger2 dependency injection in -NL- activities, services and Sinlgeton -NL- + Propose and implement improvements in the application production schedule -NL- and structure that resulted in a direct total cost savings to the client -NL- + Develop a custom expandable ListView implementation that enabled users to -NL- navigate previous searches and propeties saved -NL- + Implement the usage of the AsyncTask and Java Thread classes along the -NL- Runnable interface for multi-threading support of the application -NL- + Design and refactor using JUnit, in order to implement unit testing while -NL- removing external decencies on the tested class -NL- Feb 14 - Dec 14 -NL- **`REMOTE APP DEVELOPER`[EMPLOYER_ROLE]**– **`Eurosport, France`[EMPLOYER_COMPANY_NAME]** -NL- https://play.google.com/store/apps/details?id=com.eurosport -NL- + Display Live scoring and calendars of favourite sports in custom listview -NL- + Incorporate MoPub sdk and AppsFlyer sdk to measure, track & optimize mobile -NL- user acquisition campaigns -NL- + Fix critical bugs relating to network connections, Wi-Fi connections, full -NL- network access and receive data from Internet -NL- + Use Android's EventBus 3rd party library for sending messages between -NL- components -NL- + Debugg mobile applications using debuggers included in common integrated -NL- development environments (Eclipse, and Visual Studio), as well as using -NL- standalone debuggers -NL- + Display Privacy Policy and Terms of Use webpage in WebView with additional -NL- JavaScript cookies feature -NL- + Refactor 2200 lines of code by implementing annotations -NL- + Distribute apps internally via various distribution platforms and publish apps to -NL- the Google Play -NL- + Refactor major part of app, improving app performance from 92% crash free -NL- sessions to 99.9% -NL- + Write maintainable and reusable Java and C++ code with a focus on security -NL- and privacy -NL- + Implement GCM push notifications, which increased usage of mobile e- -NL- commerce app by over 40% -NL- **`44 20 3287 6377`[PHONES_PHONE]**| **`droidnepalikiran@gmail.com`[EMAILS_EMAIL]** -NL- **`E D U C A T I O N`[EDUCATION_HEADING]** -NL- **`BSC`[EDUCATION_DEGREE]** **`COMPUTER SCIENCE`[EDUCATION_COURSE]**– **`Royal Holloway University, London`[EDUCATION_INSTITUTE]** -NL- A C T I V I T I E S -NL-  Play chess -NL-  Project done in spare time. Built a blog website based on laravel framework that -NL- has functionality of registering, login for user, dashboard for content -NL- management and comment system for readers -NL- **`44 20 3287 6377`[PHONES_PHONE]**| **`droidnepalikiran@gmail.com`[EMAILS_EMAIL]** -NL- 